## org.eclipse.emf.cdo.spi.common.model
Interface InternalCDOPackageRegistry

All Superinterfaces:
  CDOPackageRegistry, org.eclipse.emf.ecore.EPackage.Registry, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection, java.util.Map<java.lang.String,java.lang.Object>

    public interface InternalCDOPackageRegistry

extends CDOPackageRegistry, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

Since:
  2.0

Nested Class Summary
`static interface` `InternalCDOPackageRegistry.MetaInstanceMapper`
`static interface` `InternalCDOPackageRegistry.PackageLoader`
`static interface` `InternalCDOPackageRegistry.PackageProcessor`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry
`INSTANCE`

Method Summary
`java.lang.Object` `basicPut(java.lang.String nsURI, java.lang.Object value)`
`org.eclipse.emf.ecore.EPackage[]` `getEPackages()`
`InternalCDOPackageRegistry.MetaInstanceMapper` `getMetaInstanceMapper()`
`InternalCDOPackageInfo` `getPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)`
`InternalCDOPackageInfo[]` `getPackageInfos()` Returns all package infos that are registered in this package registry.
`InternalCDOPackageRegistry.PackageLoader` `getPackageLoader()`
`InternalCDOPackageRegistry.PackageProcessor` `getPackageProcessor()`
`InternalCDOPackageUnit` `getPackageUnit(org.eclipse.emf.ecore.EPackage ePackage)`
`InternalCDOPackageUnit[]` `getPackageUnits()` Returns all package units that are registered in this package registry.
`void` `putPackageUnit(InternalCDOPackageUnit packageUnit)`
`void` `setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)`
`void` `setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)`
`void` `setReplacingDescriptors(boolean replacingDescriptors)`

Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageRegistry
`isReplacingDescriptors, putEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EPackage.Registry
`getEFactory, getEPackage`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection
`getLifecycleState, isActive`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`activate, deactivate`

Method Detail

### getMetaInstanceMapper

    InternalCDOPackageRegistry.MetaInstanceMapper getMetaInstanceMapper()

### setReplacingDescriptors

    void setReplacingDescriptors(boolean replacingDescriptors)

### getPackageProcessor

    InternalCDOPackageRegistry.PackageProcessor getPackageProcessor()

### setPackageProcessor

    void setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)

### getPackageLoader

    InternalCDOPackageRegistry.PackageLoader getPackageLoader()

### setPackageLoader

    void setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)

### basicPut

    java.lang.Object basicPut(java.lang.String nsURI,
                              java.lang.Object value)

### putPackageUnit

    void putPackageUnit(InternalCDOPackageUnit packageUnit)

### getPackageUnit

    InternalCDOPackageUnit getPackageUnit(org.eclipse.emf.ecore.EPackage ePackage)

  Specified by:
    `getPackageUnit` in interface `CDOPackageRegistry`

### getPackageUnits

    InternalCDOPackageUnit[] getPackageUnits()

  Description copied from interface: `CDOPackageRegistry`
  Returns all package units that are registered in this package registry.

  Specified by:
    `getPackageUnits` in interface `CDOPackageRegistry`

### getPackageInfo

    InternalCDOPackageInfo getPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)

  Specified by:
    `getPackageInfo` in interface `CDOPackageRegistry`

### getPackageInfos

    InternalCDOPackageInfo[] getPackageInfos()

  Description copied from interface: `CDOPackageRegistry`
  Returns all package infos that are registered in this package registry.

  Specified by:
    `getPackageInfos` in interface `CDOPackageRegistry`

### getEPackages

    org.eclipse.emf.ecore.EPackage[] getEPackages()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.